﻿using System.Collections.Immutable;
using Connected.Remote;
using Microsoft.Extensions.Configuration;

namespace Connected.Configuration;

internal class RemoteConfiguration : IRemoteConfiguration
{
	private readonly List<RemoteServerConfiguration> _servers;

	public RemoteConfiguration(IConfiguration configuration)
	{
		_servers = new();
		configuration.Bind("servers", _servers);
	}

	public ImmutableList<IRemoteServerConfiguration> Servers => _servers.Cast<IRemoteServerConfiguration>().ToImmutableList();

	public ImmutableList<IRemoteServerConfiguration> Query(string id)
	{
		return _servers.Where(e => e.Id == id).Cast<IRemoteServerConfiguration>().ToImmutableList();
	}
}
