﻿using Connected.Configuration;
using Connected.Net;
using Connected.Startup;
using Microsoft.AspNetCore.Components.WebAssembly.Hosting;
using Microsoft.Extensions.DependencyInjection;

namespace Connected.Middleware;

public sealed class CoreStartup : IStartup
{
	public async Task Configure(WebAssemblyHost host)
	{
		await Task.CompletedTask;
	}

	public async Task ConfigureServices(IServiceCollection services)
	{
		services.AddSingleton(typeof(IHttpService), typeof(HttpService));

		await Task.CompletedTask;
	}
}
