﻿using System.ComponentModel.DataAnnotations;

namespace Connected.Annotations;

[AttributeUsage(AttributeTargets.Property)]
public sealed class NonDefaultAttribute : ValidationAttribute
{
	public override string FormatErrorMessage(string name)
	{
		return $"'{name}' {SR.ValNonDefault}";
	}

	public override bool IsValid(object? value)
	{
		if (value is null)
			return false;

		if (value.GetType().IsValueType)
		{
			var instance = Activator.CreateInstance(value.GetType());

			return instance == value;
		}

		return true;
	}
}
