﻿namespace Connected.Annotations;

[Flags]
public enum ServiceMethodVerbs
{
	None = 0,
	Get = 1,
	Post = 2,
	Put = 4,
	Delete = 8,
	Patch = 16,
	Options = 32,
	Trace = 64
}

[AttributeUsage(AttributeTargets.Method)]
public sealed class ServiceMethodAttribute : Attribute
{
	public ServiceMethodAttribute(ServiceMethodVerbs verbs)
	{
		Verbs = verbs;
	}

	public ServiceMethodVerbs Verbs { get; }
}
