﻿using Connected.ServiceModel;

namespace Connected.Notifications;

public delegate void ServiceEventHandler<TArgs>(IOperationState? sender, TArgs? e);
/// <summary>
/// The client notification of the <see cref="Annotations.ServiceAttribute"/> service.
/// </summary>
public interface IServiceNotifications<TPrimaryKey>
{
	/// <summary>
	/// The event raised when a new entity has been inserted.
	/// </summary>
	event ServiceEventHandler<PrimaryKeyEventArgs<TPrimaryKey>>? Inserted;
	/// <summary>
	/// The event raised when an entity has been updated.
	/// </summary>
	event ServiceEventHandler<PrimaryKeyEventArgs<TPrimaryKey>>? Updated;
	/// <summary>
	/// The event raised when an entity has been deleted.
	/// </summary>
	event ServiceEventHandler<PrimaryKeyEventArgs<TPrimaryKey>>? Deleted;
}
