﻿using Connected.Notifications;

namespace Connected.ServiceModel;

public class PrimaryKeyArgs<T> : Dto
{
	public PrimaryKeyArgs() { }

	public PrimaryKeyArgs(T id)
	{
		this.Id = id;
	}

	public T? Id { get; set; }

	public static implicit operator PrimaryKeyArgs<T?>(T value)
	{
		return new PrimaryKeyArgs<T?> { Id = value };
	}

	public static implicit operator PrimaryKeyArgs<T>(PrimaryKeyEventArgs<T> value)
	{
		return new PrimaryKeyArgs<T> { Id = value.Id };
	}
}
