﻿namespace Connected.ServiceModel;
public class QueryArgs : Dto
{
	public QueryArgs()
	{
		OrderBy = new();
		Paging = new();
	}

	public List<OrderByDescriptor> OrderBy { get; set; }
	public PagingArgs Paging { get; set; }

	public static QueryArgs Default => new()
	{
		Paging = new PagingArgs
		{
			Index = 0,
			Size = 10
		}
	};

	public static QueryArgs NoPaging => new()
	{
		Paging = new PagingArgs
		{
			Index = 0,
			Size = int.MaxValue
		}
	};
}
